## org.w3c.www.protocol.http.cache.push
Class PushCacheListener

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.w3c.www.protocol.http.cache.push.PushCacheListener

public class PushCacheListener
extends java.lang.Thread

PushCacheListener Accepts incoming connections on specified port number and creates PushCacheHandler objects to handle dialogue with client.

Inner Class Summary
`class` `PushCacheListener.ShutdownHook`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`PushCacheListener(int port_number)` Construct a PushCacheListener

Method Summary
`protected void` `cleanup()` Close sockets, stop handlers.
`protected void` `deregisterHandler(PushCacheHandler handler)` Reregister a handler from the listener
`protected void` `registerHandler(PushCacheHandler handler)` Register a hanlder with the listener.
`void` `run()` Listen for connections, creating a handler for each new connection
`void` `stopRunning()` Request this thread to exit gracefully

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PushCacheListener

    public PushCacheListener(int port_number)
                      throws java.io.IOException

  Construct a PushCacheListener
  Parameters:
    `port_number` - port number on which to listen.

Method Detail

### registerHandler

    protected void registerHandler(PushCacheHandler handler)

  Register a hanlder with the listener. stopRunning will be called on all registered handlers when the listener is stopped.

### deregisterHandler

    protected void deregisterHandler(PushCacheHandler handler)

  Reregister a handler from the listener

### cleanup

    protected void cleanup()

  Close sockets, stop handlers.

### stopRunning

    public void stopRunning()

  Request this thread to exit gracefully

### run

    public void run()

  Listen for connections, creating a handler for each new connection
  Overrides:
    run in class java.lang.Thread